3G ZTE MF622 modem does not work with static hal FDIs

Bug #305968 reported by Mike on 2008-12-07
68
This bug affects 7 people
Affects Status Importance Assigned to Milestone
hal-info (Ubuntu)
Undecided
Unassigned
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Unassigned

Bug Description

Binary package hint: hal-info

After the bugfix #291333 my ZTE MF622 Modem cannot connect anymore with networkmanager.
It is now reconized as Onda MT505UP / MF632 music player (LP: #291333)

when I delete this part in
/usr/share/hal/fdi/information/10freedesktop/10-modem.fdi
        <!-- ONDA MF632 HSDPA USB dongle -->
        <match <email address hidden>:usb.vendor_id" int="0x19d2">
        <match <email address hidden>:usb.product_id" int="0x0002">
          <match <email address hidden>:usb.interface.number" int="2">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>

My modem works again.

lsusb output:
Bus 001 Device 005: ID 19d2:0001

Cleber Santz (clebersantz) wrote :

I have a similar problem with ZTE MF622

I have a Intrepid (updated) and this no recognize this modem, i try create a UDEV rule but i can download at max. 500kbps (my connection is 1Mbps). So i change the hal-info, now can download at more than 1Mbps.

  /usr/share/hal/fdi/information/10freedesktop/10-modem.fdi
      <match <email address hidden>:usb.vendor_id" int="0x19d2">
        <!-- Qualcomm: Telstra/NextG CDMA , ZTE CDMA Tech -->
        <match <email address hidden>:usb.product_id" int_outof="0x0001;0xfffe">
          <match <email address hidden>:usb.interface.number" int="0">
            <!--append key="modem.command_sets" type="strlist">IS-707-A</append--> # Removed
            <append key="modem.command_sets" type="strlist">GSM-07.07</append> # Inserted
            <append key="modem.command_sets" type="strlist">GSM-07.05</append> # Inserted
          </match>

 lsusb still returning "Bus 004 Device 003: ID 19d2:0001 " but i can connect without problems

Cleber Santz (clebersantz) wrote :
Cleber Santz (clebersantz) wrote :
Cleber Santz (clebersantz) wrote :

by default Ubuntu say this is a CDMA device (ZTE CDMA Tech), but it is a GSM 3G Modem.

kapetus (rcapeto) wrote :

hello,

I have a similar problem, I tryed to delete the "ONDA" lines and my ZTE doesn't work anymore, then I puted there the lines and it recognises and start the configuration issues, but can't connect.

I have a TMN portuguese card, and in the config it's there the TMN connection and I think I've done all the config steps, but still not connecting.

In the network manager apears "mobile broadband CDMA connection" is there anything more that I can do?

thks

Hello,

I too have this problem. After make an system update the Network Manager not connect. I try some internet tutorials but can't connect to Internet.

In the network manager apears "mobile broadband CDMA connection" and i can't connect. Can I change this default config??

Thanks.

EPx (elvis-pfutzenreuter) wrote :

The problem is driver/usb/storage/unusual_devs.h (http://phildev.net/linux/usb-unusualdevs-notes.html). MF622 (vendor ID 0x19d2, product ID 0x2000) has been added to this list so usb-storage does not try to mount the ZeroCD feature of this 3G modem.

Modem has a storage to keep Windows drives within itself, and once it is unmounted, it changes USB ID to 0x0001 which is usable by usbserial.

The problem is, if usb-storage ignores 0x2000, it never gets mounted, then not umounted, and then it never switches to 0x0001. Not even usb-modeswitch can change ID; only access to storage does the trick. It usb-storage wants to do the right thing with this unusual-dev it should effectively open it and then close.

Kernel 2.6.24 from Hoary, which still does not have the MF622 modem in unusual_devs.h list, works normally with this 3G modem, albeit I need to modprobe usbserial vendor=0x19d2 bla=0x0001 manually after unmount (I am too lazy to configure udev). You can even use the modem storage for something else, it mounts automatically like a pen drive.

kapetus (rcapeto) wrote :

EPx,

I didn't understand whwt should I do to fix that problem, can you explain a litle bit more understandable?
I'm a little bit noob in LINUX, I don't know mutch of programing, but I can do every thing when well explained, like tutorials

thanks

Cleber Santz (clebersantz) wrote :

EPx,

  This is not only a usb-storage problem, even detecting the device ubuntu detect it as incorrect device (like CDMA insted GSM 3G modem). I believe this need hal-info correction too.

Rupert H. (ruphe) wrote :

I have exactly the same problem with Easy Peasy 1.0 (formerly Ubuntu EEE) on an ASUS Eee PC 1000H.

The custom connection I've setup in the "Mobile Broadband" tab in Network Connections does not show up in network manager, but instead a "Auto Mobile Broadband (CDMA)" connection appears, which obviously does not work at all.

I could solve the problem by modifying the "10-modem.fdi" file the same way Cleber did. After doing that, the entry for my Broadband provider showed up in network manager and I could successfully established an Internet connection. I tried a couple of times, even unplugged the modems a good few times, and it worked every time.

Cheers for that Cleber. :-)

Btw.: I did not notice any performance problems at all. As a matter of fact speedtest.net reported similar speeds on a Mac with the official software.

Rupert

Hendy Irawan (ceefour) wrote :

Tagging Bug #291333

Paulo Neto (xchaos76) wrote :

      <match <email address hidden>:usb.vendor_id" int="0x19d2">
        <!-- Qualcomm: Telstra/NextG CDMA , ZTE CDMA Tech -->
        <match <email address hidden>:usb.product_id" int_outof="0xfffe"> <------------- cute 0x0001;
          <match <email address hidden>:usb.interface.number" int="0">
            <append key="modem.command_sets" type="strlist">IS-707-A</append>
          </match>
        </match>
        <!-- ZTE MF628 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0015">
          <match <email address hidden>:usb.interface.number" int="3">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
        <!-- ONDA MF632 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0001;0x0002"> <-------- put 0x0001; here ;P
          <match <email address hidden>:usb.interface.number" int="2">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
      </match>

My modem works fine!!!

Martin Pitt (pitti) wrote :

Mike, Cleber, can you please try Paulo's suggestion? Run this in a terminal:

  gksu gedit /usr/share/hal/fdi/information/10freedesktop/10-modem.fdi
  do the change as proposed
  sudo rm /var/cache/hald/fdi-cache
  reboot

Changed in hal-info:
assignee: nobody → pitti
status: New → Incomplete
kapetus (rcapeto) wrote :

i have tryed all options in this tread and i've been unsucceded in all, it recognises the modem but not as it should, i can't connect to the internet, i'm using the Ubuntu 8.10, kernel 2.6.27-11-generic, i used to make ALL updates available, when they're released, i don't bother to experience the new releases, and by mi experience help, or triying to help, on errors.
but i used to connect to mobile internet and now i've been privated to do that.
i don't wont or need to use other OS but this is making mi head bloows.
if in other releases works, why doesn't in this one?
i will not kwit untill it works, please help

Mike (vendas-r2hospedagem) wrote :

Cleber,

I used the suggestion from Paul and my modem still works fine as before.
I don't use network manager anymore, but wicd for my wireless and wired connections.
UMTSmon is what I use for my mobile broadband connection.

kapetus (rcapeto) wrote :

well, i installed UMTSmon, and... i got connection again, that's a god option, thanks...

Paulo Neto (xchaos76) wrote :

try it!

gedit /usr/share/hal/fdi/information/10freedesktop/10-modem.fdi

do the change

      <match <email address hidden>:usb.vendor_id" int="0x19d2">
        <!-- Qualcomm: Telstra/NextG CDMA , ZTE CDMA Tech -->
        <match <email address hidden>:usb.product_id" int="0xfffe">
          <match <email address hidden>:usb.interface.number" int="0">
            <append key="modem.command_sets" type="strlist">IS-707-A</append>
          </match>
        </match>
        <!-- ZTE MF628 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0015">
          <match <email address hidden>:usb.interface.number" int="3">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
        <!-- ONDA MF632 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int_outof="0x0001;0x0002">
          <match <email address hidden>:usb.interface.number" int="0">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
      </match>

sudo rm /var/cache/hald/fdi-cache
 reboot

the code is correct now, it uses the ttyUSB0 (works also with 0, 1 or 2) <match <email address hidden>:usb.interface.number" int="0">
bye!

Paulo Neto (xchaos76) wrote :

sudo gedit ;)

jsenlai (jsenebox) wrote :

It works! but it doesn't show any name in lsusb list. which is fine anyway.

Thanks Paulo!

Paulo Neto (xchaos76) wrote :

      <match <email address hidden>:usb.vendor_id" int="0x19d2">
        <!-- Qualcomm: Telstra/NextG CDMA , ZTE CDMA Tech -->
        <match <email address hidden>:usb.product_id" int="0xfffe">
          <match <email address hidden>:usb.interface.number" int="0">
            <append key="modem.command_sets" type="strlist">IS-707-A</append>
          </match>
        </match>
        <!-- ZTE MF626 HSDPA USB dongle , ONDA MSA501HS HSDPA -->
        <match <email address hidden>:usb.product_id" int_outof="0x2000;0x0001">
          <match <email address hidden>:usb.interface.number" int="0">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
        <!-- ZTE MF628 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0015">
          <match <email address hidden>:usb.interface.number" int="3">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
        <!-- ONDA MF632 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0002">
          <match <email address hidden>:usb.interface.number" int="2">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
      </match>

It makes all zte/onda modem to work. lsusb don't show the names because a kernel config.

Paulo Neto (xchaos76) on 2009-02-16
Changed in hal-info:
status: Incomplete → In Progress
Martin Pitt (pitti) wrote :

OK, I researched the history of this a bit. It seems that this chip is used in two different devices, but with the same product ID, and speak two different protocols:

        <!-- Qualcomm: Telstra/NextG CDMA , ZTE CDMA Tech -->
        <match <email address hidden>:usb.product_id" int_outof="0x0001;0xfffe">
          <match <email address hidden>:usb.interface.number" int="0">
            <append key="modem.command_sets" type="strlist">IS-707-A</append>
          </match>
        </match>

The 1 here was assumedly correct when this got committed first. But it is not called "ONDA" here. So perhaps we need a more fine-grained differentiation based on product names. Can anyone who is affected by this please do

  lshal > /tmp/hal.txt

and attach /tmp/hal.txt here?

Changed in hal-info:
status: In Progress → Incomplete
Martin Pitt (pitti) wrote :

I also asked upstream for advice.

jsenlai (jsenebox) wrote :

This is done with the hal modification from Neto.
It works last night but seems not working today. Maybe it's my provider.

jsenlai (jsenebox) wrote :

confirm. it was my provider.

Cleber Santz (clebersantz) wrote :

Martin, i try Paulo's modification and work for me too.

Regards,
Cleber

Paulo Neto (xchaos76) wrote :

result of lshal

Paulo Neto (xchaos76) wrote :

look for other releases of hal-info
hal-info-20081022

     <match <email address hidden>:usb.vendor_id" int="0x19d2">
        <!-- Qualcomm: Telstra/NextG CDMA --> (this modem is gsm/gprs/edge/hsdpa, and it work fine.is the name correct?)
        <match <email address hidden>:usb.product_id" int="0x0001">
          <match <email address hidden>:usb.interface.number" int="0">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append> (it is gsm, ok)
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
        <!-- ZTE MF628 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0015">
          <match <email address hidden>:usb.interface.number" int="3">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
      </match>
is the modem cdma?

jsenlai (jsenebox) wrote :

ZTE MF622 is a HSDPA USB dongle.

Martin Pitt (pitti) wrote :

Interesting upstream response: http://lists.freedesktop.org/archives/hal/2009-February/013000.html

It seems with this magical "udev modem prober" we can get rid of this static modem file altogether and generate a correct configuration on the fly.

jsenlai (jsenebox) wrote :

nice! it would be great.

Paulo Neto (xchaos76) wrote :

ok, look the kernel sources: /usr/src/linux-xxxxx/drivers/usb/serial/option.c

...
  This driver exists because the "normal" serial driver doesn't work too well
  with GSM modems. Issues:
  - data loss -- one single Receive URB is not nearly enough
  - nonstandard flow (Option devices) control
  - controlling the baud rate doesn't make sense

...

#define ONDA_VENDOR_ID 0x19d2
#define ONDA_PRODUCT_MSA501HS 0x0001
#define ONDA_PRODUCT_ET502HS 0x0002
#define ONDA_PRODUCT_MT503HS 0x0200

...
#define QUALCOMM_VENDOR_ID 0x05C6
...

/* ZTE PRODUCTS */
#define ZTE_VENDOR_ID 0x19d2
#define ZTE_PRODUCT_MF628 0x0015
#define ZTE_PRODUCT_MF626 0x0031
#define ZTE_PRODUCT_CDMA_TECH 0xfffe
...

 { USB_DEVICE(ONDA_VENDOR_ID, ONDA_PRODUCT_MSA501HS) },
 { USB_DEVICE(ONDA_VENDOR_ID, ONDA_PRODUCT_ET502HS) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0003) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0004) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0005) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0006) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0007) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0008) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0009) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x000a) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x000b) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x000c) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x000d) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x000e) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x000f) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0010) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0011) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0012) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0013) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0014) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0015) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0016) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0017) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0018) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0019) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0020) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0021) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0022) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0023) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0024) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0025) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0026) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0027) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0028) },
 { USB_DEVICE(ONDA_VENDOR_ID, 0x0029) },
 { USB_DEVICE(ONDA_VENDOR_ID, ONDA_PRODUCT_MT503HS) },

 { USB_DEVICE(QUALCOMM_VENDOR_ID, 0x6000)}, /* ZTE AC8700 */
 { USB_DEVICE(QUALCOMM_VENDOR_ID, 0x6613)}, /* Onda H600/ZTE MF330 */

 { USB_DEVICE(ZTE_VENDOR_ID, ZTE_PRODUCT_MF626) },
 { USB_DEVICE(ZTE_VENDOR_ID, ZTE_PRODUCT_MF628) },
 { USB_DEVICE(ZTE_VENDOR_ID, ZTE_PRODUCT_CDMA_TECH) },

ok, usb 19d2:0001 is the onda msa501hs !!!! this is a hal-info bug!!!

Paulo Neto (xchaos76) wrote :

try it
      <match <email address hidden>:usb.vendor_id" int="0x19d2">
        <!-- ZTE CDMA Tech -->
        <match <email address hidden>:usb.product_id" int="0xfffe">
          <match <email address hidden>:usb.interface.number" int="0">
            <append key="modem.command_sets" type="strlist">IS-707-A</append>
          </match>
        </match>
        <!-- ZTE MF626 HSDPA, ONDA MSA501HS HSDPA , ONDA MT503HS HSDPA , ONDA MODEMS -->
        <match <email address hidden>:usb.product_id" int_outof="0x0031;0x0001;0x0200;0x0003;0x0004;0x0005;0x0006;0x0007;0x0008;0x0009;0x000a;0x000b;0x000c;0x000d;0x000e;0x000f;0x0010;0x0011;0x0012;0x0013;0x0014;0x0015;0x0016;0x0017;0x0018;0x0019;0x0020;0x0021;0x0022;0x0023;0x0024;0x0025;0x0026;0x0027;0x0028;0x0029">
          <match <email address hidden>:usb.interface.number" int="0">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
        <!-- ZTE MF628 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0015">
          <match <email address hidden>:usb.interface.number" int="3">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
        <!-- ONDA ET502HS HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0002">
          <match <email address hidden>:usb.interface.number" int="2">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
      </match>

bye.

Paulo Neto (xchaos76) wrote :

    This is a note to let you know that I’ve just added the patch titled

    Subject: USB: OPTION: fix name of Onda MSA501HS HSDPA modem

    to my gregkh-2.6 tree. Its filename is

    usb-option-fix-name-of-onda-msa501hs-hsdpa-modem.patch

    This tree can be found at
    http://www.kernel.org/pub/linux/kernel/people/gregkh/gregkh-2.6/patches/

    From <email address hidden> Fri May 16 12:07:22 2008
    From: Arnaldo Carvalho de Melo
    Date: Fri, 16 May 2008 15:41:40 -0300
    Subject: USB: OPTION: fix name of Onda MSA501HS HSDPA modem
    To: Matthias Urlichs
    Cc: <email address hidden>, <email address hidden>, Augusto Campos
    Message-ID: <email address hidden>
    Content-Disposition: inline

    This fixes the name of the onda MSA501HS device, I guess it is called
    different things in different countries.

    Signed-off-by: Arnaldo Carvalho de Melo
    Signed-off-by: Greg Kroah-Hartman

    —
    drivers/usb/serial/option.c | 3 ++-
    1 file changed, 2 insertions(+), 1 deletion(-)

    — a/drivers/usb/serial/option.c
    +++ b/drivers/usb/serial/option.c
    @@ -183,6 +183,7 @@ static int option_send_setup(struct usb
    #define AXESSTEL_PRODUCT_MV110H 0×1000

    #define ONDA_VENDOR_ID 0×19d2
    +#define ONDA_PRODUCT_MSA501HS 0×0001
    #define ONDA_PRODUCT_ET502HS 0×0002

    #define BANDRICH_VENDOR_ID 0×1A8D
    @@ -300,13 +301,13 @@ static struct usb_device_id option_ids[]
    { USB_DEVICE(ANYDATA_VENDOR_ID, ANYDATA_PRODUCT_ADU_E100A) },
    { USB_DEVICE(ANYDATA_VENDOR_ID, ANYDATA_PRODUCT_ADU_500A) },
    { USB_DEVICE(AXESSTEL_VENDOR_ID, AXESSTEL_PRODUCT_MV110H) },
    + { USB_DEVICE(ONDA_VENDOR_ID, ONDA_PRODUCT_MSA501HS) },
    { USB_DEVICE(ONDA_VENDOR_ID, ONDA_PRODUCT_ET502HS) },
    { USB_DEVICE(BANDRICH_VENDOR_ID, BANDRICH_PRODUCT_C100_1) },
    { USB_DEVICE(BANDRICH_VENDOR_ID, BANDRICH_PRODUCT_C100_2) },
    { USB_DEVICE(KYOCERA_VENDOR_ID, KYOCERA_PRODUCT_KPC680) },
    { USB_DEVICE(QUALCOMM_VENDOR_ID, 0×6613)}, /* Onda H600/ZTE MF330 */
    { USB_DEVICE(MAXON_VENDOR_ID, 0×6280) }, /* BP3-USB & BP3-EXT HSDPA */
    - { USB_DEVICE(0×19d2, 0×0001) }, /* Telstra NextG CDMA */ (Deleted, look the -)
    { USB_DEVICE(TELIT_VENDOR_ID, TELIT_PRODUCT_UC864E) },
    { } /* Terminating entry */
    };

    Patches currently in gregkh-2.6 which might be from <email address hidden> are

    usb.current/usb-option-fix-name-of-onda-msa501hs-hsdpa-modem.patch

has ubuntu module of kernel compiled with old version of option.c?

Danne MCA (danne-mca) wrote :

My modem works fine now, but I can't use if don't connect it before boot ubuntu. If I connect the modem after the boot, nothing happens.
And, Paulo, where are you from? Brazil?

Danne MCA (danne-mca) wrote :

My 10-modem.fdi is like this:

      <match <email address hidden>:usb.vendor_id" int="0x19d2">
        <!-- Qualcomm: Telstra/NextG CDMA , ZTE CDMA Tech -->
        <match <email address hidden>:usb.product_id" int_outof="0x0001;0xfffe">
          <match <email address hidden>:usb.interface.number" int="0">
            <!--append key="modem.command_sets" type="strlist">IS-707-A</append-->
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
        <!-- ZTE MF628 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0015">
          <match <email address hidden>:usb.interface.number" int="3">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
        <!-- ONDA MF632 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0001;0x0002">
          <match <email address hidden>:usb.interface.number" int="2">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
      </match>

Just like this I can connect with a 3G.

Paulo Neto (xchaos76) wrote :

yes, i am from Brazil

Paulo Neto (xchaos76) wrote :

Danne, you modem.fdi has a syntax error:
 <!-- ONDA MF632 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0001;0x0002"> (int = it is for single option)

correct code:

        <match <email address hidden>:usb.product_id" int_outof="0x0001;0x0002"> (int_outof= two or plus)

I try a new config for my file and I remove some strings of onda modems that it has no names.

try it:

      <match <email address hidden>:usb.vendor_id" int="0x19d2">
        <!-- ZTE CDMA Tech -->
        <match <email address hidden>:usb.product_id" int="0xfffe">
          <match <email address hidden>:usb.interface.number" int="0">
            <append key="modem.command_sets" type="strlist">IS-707-A</append>
          </match>
        </match>
        <!-- ONDA MSA501HS HSDPA , ZTE MF626 HSDPA , ONDA MT503HS HSDPA -->
        <match <email address hidden>:usb.product_id" int_outof="0x0001;0x0031;0x0200">
          <match <email address hidden>:usb.interface.number" int="0">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
        <!-- ZTE MF628 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0015">
          <match <email address hidden>:usb.interface.number" int="3">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
        <!-- ONDA ET502HS HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0002">
          <match <email address hidden>:usb.interface.number" int="2">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
      </match>

the onda msa501hs uses usb.interface.number 0 or 2, I try interface 1 but don't work fine.

Danne MCA (danne-mca) wrote :

I fix this error.

My Ubuntu has updated, and the file has changed. So my modem don't work again. Was find by the sistem, but the connection don't work. I change the 10-modem.fdi like this:

      <match <email address hidden>:usb.vendor_id" int="0x19d2">
        <!-- Qualcomm: Telstra/NextG CDMA , ZTE CDMA Tech -->
        <match <email address hidden>:usb.product_id" int_outof="0x0001;0xfffe">
          <match <email address hidden>:usb.interface.number" int="0">
            <!--append key="modem.command_sets" type="strlist">IS-707-A</append-->
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
        <!-- ZTE MF626 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x2000">
          <match <email address hidden>:usb.interface.number" int="0">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
        <!-- ZTE MF628 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0015">
          <match <email address hidden>:usb.interface.number" int="3">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
        <!-- ONDA MF632 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0002">
          <match <email address hidden>:usb.interface.number" int="2">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
      </match>

I changed the 5ª line, do the comments and add 2 lines down.
Find the modem and the connection with Claro works fine now.

But i can't unplug the modem and reconnect again, it's don't worl like this.

(podemos falar em português aqui?)

Paulo Neto (xchaos76) wrote :

I make the update in my system, but the same bug lives in hal-info... I make the correct syntax that i used in my last post and it works fine...
I belive that the problem lives in fdi creator.

Paulo Neto (xchaos76) wrote :

Danne, eu estou tentando fazer todos os modens funcionarem, pois o modem da onda 19d2:0001 está como cdma e é gsm
vou comentar para vc entender:

      <match <email address hidden>:usb.vendor_id" int="0x19d2"> <----- hal procura por esse vendedor
        <!-- Qualcomm: Telstra/NextG CDMA , ZTE CDMA Tech --> <----- comentário
        <match <email address hidden>:usb.product_id" int_outof="0x0001;0xfffe"> <---- hal procura pela string de modo crescente, ou seja se vc inverter os valores o hal chega no 0xfffe e não encontra o 0x0001
          <match <email address hidden>:usb.interface.number" int="0"> <---- escolhe a interface ttyusb0
            <!--append key="modem.command_sets" type="strlist">IS-707-A</append--> <--- instrução para modens cdma comentada por voce
            <append key="modem.command_sets" type="strlist">GSM-07.07</append> <--- para modens gsm
            <append key="modem.command_sets" type="strlist">GSM-07.05</append> <--- para modens gsm essas linhas vão fazer o modem cdma não funcionar.

...
        <!-- ZTE MF626 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x2000">
isso tá errado também, o 0x2000 é o "cd" desses modem isso tem q ser apenas ignorado pelo hal

o correto ai seria 0x0031.

seu modem claro funcionou porque vc ignorou as instruções para o modo cdma e colocou as do gsm.... porem por curiosidade se vc conseguir um modem tdma 0xfffe vai ver que ele não irá funcionar...

Cleber Santz (clebersantz) wrote :

Guys, every update on hal-info can may update 10-modem.fdi and the problem will go back again, so after any update maybe you need make this correction again, until this problem is fixed.

The problem with plug/unplug as already explained by EPx (https://bugs.launchpad.net/ubuntu/+source/hal-info/+bug/305968/comments/7)

Danne, please use English only, your question or answer sometimes can solve problem of many others.

Best regards,
Cleber

Cleber Santz (clebersantz) wrote :

Martin
 the new NetworkManager 0.7.1, with "udev modem prober", will be include on Jaunty ?

Danne MCA (danne-mca) wrote :

Paulo, I try this code (https://bugs.launchpad.net/ubuntu/+source/hal-info/+bug/305968/comments/37) and works fine now. Mas continuo com o problema do ubuntu não reconhecer o modem após desplugar e plugá-lo. Só é reconhecido se já estiver na usb antes do boot. Muito obrigado pela explicação linha por linha do arquivo. De nada adianta ficar mexendo sem saber o que realmente estamos fazendo. rsrs.

And Cleber, about the link: https://bugs.launchpad.net/ubuntu/+source/hal-info/+bug/305968/comments/7

Is it possible do something to Ubuntu mounts the modem (like a modem and not a pen drive) when unplug/plug after boot?

My Ubuntu don't mount even like a pen drive and even like a modem. =/.

Cleber Santz (clebersantz) wrote :

Danne, the only way is changing unusual_devs.h and recompiling your kernel

Danne MCA (danne-mca) wrote :

Oh, thanks. Hope in Jaunty may be fixed. So by me is fixed. Work fine. Thanks Paulo and thanks Cleber.

Paulo Neto (xchaos76) wrote :

danne, try:
sudo gedit /usr/share/hal/fdi/preprobe/10osvendor/20-broken-usb-sticks.fdi

     <!-- Ignore the Huawei E220 USB HSDPA modem -->
     <match key="@storage.originating_device:usb.vendor_id" int="0x12d1">
       <match key="@storage.originating_device:usb.product_id" int="0x1003">
         <merge key="info.ignore" type="bool">true</merge>
       </match>
     </match>
     <!-- Ignore the ONDA HSA501HS modem -->
     <match key="@storage.originating_device:usb.vendor_id" int="0x19d2">
       <match key="@storage.originating_device:usb.product_id" int="0x2000"> <-- unplug/plug modem + lsusb, if lsusb result 19d2:2000 it'll work. -->
         <merge key="info.ignore" type="bool">true</merge>
       </match>
     </match>
   </match>
  </device>
</deviceinfo>

bye

Danne MCA (danne-mca) wrote :

lsusb result:
Bus 002 Device 004: ID 19d2:0001

when I boot with modem connected

lsusb result:
Bus 002 Device 004: ID 19d2:2000

when I unplug/plug modem, but don't work also =/

my 20-broken-usb-sticks.fdi in attachment.

Paulo Neto (xchaos76) wrote :

Danne, wait 30s after you plug modem because it (19d2:2000) is ignored and changed to modem (19d2:0001) after this time.

Danne MCA (danne-mca) wrote :

I wait and don't changed. Continues :2000 even after 3 minutes. I don't have the usb-modemswitch. Need this patch to change, or the file 20-broken-usb-sticks change it self?

Paulo Neto (xchaos76) wrote :

danne, download the kernel, edit unusual_dev, remove:
/* Reported by Mauro Andreolini <email address hidden>
 * This entry is needed to bypass the ZeroCD mechanism
 * and to properly load as a modem device.
 */
UNUSUAL_DEV( 0x19d2, 0x2000, 0x0000, 0x0000,
  "Onda ET502HS",
  "USB MMC Storage",
  US_SC_DEVICE, US_PR_DEVICE, NULL,
  US_FL_IGNORE_DEVICE),
and recompile the kernel....

or reboot your machine for plug your usb zte.... in the next 10 days I will try to recompile my kernel to try to solve this problem and I will post the results...

Danne MCA (danne-mca) wrote :

Will use the Carnaval's time to try this, rsrs. Thanks, Paulo.

Cleber Santz (clebersantz) wrote :

    I have compiled my kernel yesterday, removing 19d2:2000 from unusual_devs.h. Now my modem works very fine, plug/unplug works ( if unplug and plug again device is detected as usb storage, when unmount it after some seconds it automatic change to modem device )

   Tested with Jaunty Alpha 5 running on VirtualBox 32Bits and HP and Dell notebooks 64bits.

So for me, removing device for unusual_devs.h and correcting hal-info solve the problem.

Best regards,
Cleber Santz

Cleber Santz (clebersantz) wrote :

  I make a WIKI for this bug correction https://wiki.ubuntu.com/NetworkManager/Hardware/3G/ZTE_MF622

Danne MCA (danne-mca) wrote :

I'll try right now.

Martin Pitt (pitti) wrote :

We will not do anything about this in jaunty. Jaunty's network-manager will use the udev modem prober from tomorrow on, which will dynamically detect this, without the 10-modem.fdi maintenance nightmare.

Please see http://lists.freedesktop.org/archives/hal/2009-February/013004.html for details.

It would be great if people here could test Jaunty Alpha 6 next Thursday (booting the live system from CD should work, no install required) and see if things work.

Changed in hal-info:
assignee: pitti → nobody
status: Incomplete → Won't Fix
assignee: pitti → nobody
status: Incomplete → Won't Fix
Changed in linux:
status: New → Invalid
Martin Pitt (pitti) wrote :

We won't change the kernel in stable releases for this.

Changed in linux:
status: New → Won't Fix
Martin Pitt (pitti) wrote :

I'm not sure what to do with hal-info in intrepid (Ubuntu 8.10). I could revert the newly added modem in #291333, but since that has a different product ID (0002 instead of 0001 which is the problem here) it feels that this is just a red herring.

If anyone knows how to set up hal FDIs in a way that makes the 19d2:0001 with GSM-07.07 work without breaking the same device with the IS-707-A protocol, please speak up. So far the workarounds proposed here just make one or the other work, which is fine for local modifications, but we can't use that as a general solution. Or am I missing something?

Thank you!

Changed in hal-info:
status: New → Incomplete
Cleber Santz (clebersantz) wrote :

Martin,

   But even with "udev modem prober" the device 19d2:2000 must be removed from unusual_devs.h or it will not be mounted and cannot be changed to 19d2:0001.

Cleber Santz (clebersantz) wrote :

Martin,

    "udev modem prober" is working fine, but the unplug/plug problem still happens and for some machines like IBM Thinkpad the modem is not recognized because Ubuntu boot don't change to device 19d2:0001. Soh we need remove device 19d2:2000 from unusual_devs.h and maybe create a UDEV rule to solve this.

Regards,
Cleber Santz.

Danne MCA (danne-mca) wrote :

Tried using the modem and not worked in Jaunty. Even with the steps described above does not work.

When plugged in before boot, it is recognized in lsusb as 19d2: 2000 and not as 19d2: 0001 like in the Ibex.

Anybody got any solution?

Danne MCA (danne-mca) wrote :

I did a test with the Huawei E220 modem (recognized automatically in Ibex) and did not work in Jaunty. It is recognized, connects but I got no internet. No pings.

Danne MCA (danne-mca) wrote :

I tried with another modem Huawei E220, but configured for another local company, and worked. So problem must be that other

Danne MCA (danne-mca) wrote :

The problem is solved in Huawey E220, it's just the DNS server. I change the DNS and have internet connection now. SO, come back to the ZTE modem unfixed. My fail. Sorry.

Danne MCA (danne-mca) wrote :

My lshal content:

Danne MCA (danne-mca) wrote :

Jaunty installed on my notebook (Dell Latitude D531) and the modem is recognized by boot. Unplug plug does not work, but at least I can use as the Ibex, but not edit the files as 10-modem.fdi. Thank you all.

Danne MCA (danne-mca) wrote :

This week, after some updates, but when I connect to connect to Windows, restart the computer by booting in Ubuntu. When I am connected and disconnected, with no more connection, just doing the procedure under Windows. Someone with the same problem?

Danne MCA (danne-mca) wrote :

Fixed, just problems with my 3g company

Alexander Sack (asac) wrote :

Danne if this still doesnt work for you in latest jaunty, please open a network-manager bug.

Danne MCA (danne-mca) wrote :

The modem works fine in Jaunty, just the problem that unplug/plug doesn't work. But the problem have a solves recompiling the kernel.

Paulo Neto (xchaos76) wrote :

my modem has the same problem, but I fixed it...

     <match <email address hidden>:usb.vendor_id" int="0x19d2">
        <!-- Qualcomm: Telstra/NextG CDMA , ZTE CDMA Tech -->
        <match <email address hidden>:usb.product_id" int_outof="0x0001;0xfffe">
          <match <email address hidden>:usb.interface.number" int="0">
            <append key="modem.command_sets" type="strlist">IS-707-A</append>
          </match>
        </match>
        <!-- ZTE MF626 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x2000">
          <match <email address hidden>:usb.interface.number" int="0">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
        <!-- Onda MSA501HS HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0001">
          <match <email address hidden>:usb.interface.number" int="2">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
        <!-- ZTE MF628 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0015">
          <match <email address hidden>:usb.interface.number" int="3">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
        <!-- ONDA MF632 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0002">
          <match <email address hidden>:usb.interface.number" int="2">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
      </match>
it's work. The modem have 2 ttyusb... and with this fix.. the ttyusb0 works with cdma and ttyusb2 works with gsm.
Bye!!

Danne MCA (danne-mca) wrote :

What problem you talking? The plug/unplug?? Because if yes, here don't works.

Cleber Santz (clebersantz) wrote :

Hi

I create a new Bug https://bugs.launchpad.net/ubuntu/+source/linux-meta/+bug/373821 for solve the problem with plug/unplug device and some IBM BIOS.

Please everyone that have this problem leave our comment on the new bug or subscribe to Bug https://bugs.launchpad.net/ubuntu/+source/linux-meta/+bug/373821/+addsubscriber.

Regards,
Cleber

sarcastic (sam-duarte) wrote :

Hello
I have a peculiar situation in my Ubuntu 9.04 with kernel 2.6.29.03 that is already with the code

UNUSUAL_DEV( 0x19d2, 0x2000, 0x0000, 0x0000,
                "Onda ET502HS",
                "USB MMC Storage",
                US_SC_DEVICE, US_PR_DEVICE, NULL,
                US_FL_IGNORE_DEVICE)

 out of the unusual_devs.h

my 10-modem.fdi is like this:

<match <email address hidden>:usb.vendor_id" int="0x19d2">
        <!-- Qualcomm: Telstra/NextG CDMA , ZTE CDMA Tech -->
        <match <email address hidden>:usb.product_id" int_outof="0x0001;0xfffe">
          <match <email address hidden>:usb.interface.number" int="0">
            <append key="modem.command_sets" type="strlist">IS-707-A</append>
          </match>
        </match>
        <!-- ZTE MF626 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x2000">
          <match <email address hidden>:usb.interface.number" int="0">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
        <!-- Onda MSA501HS HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0001">
          <match <email address hidden>:usb.interface.number" int="2">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
        <!-- ZTE MF628 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0015">
          <match <email address hidden>:usb.interface.number" int="3">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
        <!-- ONDA MF632 HSDPA USB dongle -->
        <match <email address hidden>:usb.product_id" int="0x0002">
          <match <email address hidden>:usb.interface.number" int="2">
            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
          </match>
        </match>
      </match>

lsusb returns "Bus 003 Device 007: ID 19d2:0001 ONDA Communication S.p.A."
but network manager don't detect the modem.
the wired is that i was on the normally surfing on the net with the mf622, i turned off the pc and on the next day when i turn it on again simply NM don't detect the modem... i haven't install any program or made any update. :S

heeeelp meeee
Samuel aka Sarcastic

Cleber Santz (clebersantz) wrote :

Samuel,

   Seems that you get your kernel from kernel.org, please try with Jaunty standard kernel (2.6.28-11-generic).

   If you will still experience the problem report this here: https://bugs.launchpad.net/ubuntu/+source/linux-meta/+bug/373821

Regards,
Cleber Santz.

Danne MCA (danne-mca) wrote :

We don't need follow this wiki to 9.04. Just use this kernel: http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.30/

CafeNinja (cafeninja) wrote :

I updated my 10-modem.fdi as per the update from Maurizio. I did the reboot. NM does not see the modem, but the dmesg now looks different:

[ 33.610439] USB Serial support registered for GSM modem (1-port)
[ 33.610494] option 4-1:1.1: GSM modem (1-port) converter detected
[ 33.610588] usb 4-1: GSM modem (1-port) converter now attached to ttyUSB0
[ 33.610605] option 4-1:1.2: GSM modem (1-port) converter detected
[ 33.610649] usb 4-1: GSM modem (1-port) converter now attached to ttyUSB1
[ 33.610664] option 4-1:1.3: GSM modem (1-port) converter detected
[ 33.610703] usb 4-1: GSM modem (1-port) converter now attached to ttyUSB2
[ 33.610717] option 4-1:1.4: GSM modem (1-port) converter detected
[ 33.610759] usb 4-1: GSM modem (1-port) converter now attached to ttyUSB3
[ 33.610774] option 4-1:1.5: GSM modem (1-port) converter detected
[ 33.610817] usb 4-1: GSM modem (1-port) converter now attached to ttyUSB4
[ 33.610828] usbcore: registered new interface driver option
[ 33.610831] option: v0.7.2:USB Driver for GSM modems

I'm not sure why/what might be missing to not let nm-applet see the modem as accessible.

Danne,
Do you know if there is any way to have that kernel in jaunty? Have you checked if these modems work fine in Karmic Dev out of the box?

--
CafeNinja

Maurizio (mauriziosilverii) wrote :

ZTE MF632 usb umts modem don't recognized in Jaunty with kernel 2.6.30 from Ubuntu ppa. Also with Karmic Alpha 2 AMD64 Live CD.

pistance (pistance) wrote :

i have a big problem with zte mf628, i want connect it to ubuntu 9.04, i want know how can i do it???
please anyone can help me???????

Anton Piatek (anton-piatek) wrote :

Given Karmic is out soon I will just wait for that. Will try and find my cdrom drive and try it with the current LiveCD

CafeNinja (cafeninja) wrote :

Just tried my onda MT503HS (MF628) and got new spew in dmesg...still didn't work, but was more promising.

http://paste.ubuntu.com/286504/

It did successfully mount the usb mass storage that is the driver base for windows.
:~$ lsusb | grep 2000
Bus 005 Device 005: ID 19d2:2000 ONDA Communication S.p.A.

:~$ df -hT -x tmpfs
Filesystem Type Size Used Avail Use% Mounted on
/dev/sda1 ext4 19G 9.1G 8.5G 52% /
/dev/sda3 ext3 34G 26G 6.6G 80% /home
/dev/sr2 iso9660 21M 21M 0 100% /media/Alice MOBILE <--- the usb modem drive with windows drivers

If anyone could tell me what more details might help under karmic to diagnose...just give me the commands to try.

CafeNinja

Maurizio (mauriziosilverii) wrote :

With Karmic Live try boot the pc with the usb modem attached and check the network manager

Cafe,

It seem you have the memory stick mounted. There should be
an icon for that on the desktop... Theoretically, if you eject it
the system should then mount the USB modem.

So, try a right click -> eject on the memory stick icon.
Wait a bit and check, via dmesg, if the usb modem comes
to live.

Henrique

On Mon, Oct 5, 2009 at 5:42 PM, CafeNinja <email address hidden> wrote:
> Just tried my onda MT503HS (MF628) and got new spew in dmesg...still
> didn't work, but was more promising.
>
> http://paste.ubuntu.com/286504/
>
> It did successfully mount the usb mass storage that is the driver base for windows.
> :~$ lsusb | grep 2000
> Bus 005 Device 005: ID 19d2:2000 ONDA Communication S.p.A.
>
> :~$ df -hT -x tmpfs
> Filesystem    Type    Size  Used Avail Use% Mounted on
> /dev/sda1     ext4     19G  9.1G  8.5G  52% /
> /dev/sda3     ext3     34G   26G  6.6G  80% /home
> /dev/sr2   iso9660     21M   21M     0 100% /media/Alice MOBILE     <--- the usb modem drive with windows drivers
>
> If anyone could tell me what more details might help under karmic to
> diagnose...just give me the commands to try.
>
> CafeNinja
>
> --
> 3G ZTE MF622 modem does not work with static hal FDIs
> https://bugs.launchpad.net/bugs/305968
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “hal-info” package in Ubuntu: Won't Fix
> Status in “linux” package in Ubuntu: Invalid
> Status in hal-info in Ubuntu Intrepid: Incomplete
> Status in linux in Ubuntu Intrepid: Won't Fix
> Status in hal-info in Ubuntu Jaunty: Won't Fix
> Status in linux in Ubuntu Jaunty: Invalid
>
> Bug description:
> Binary package hint: hal-info
>
> After the bugfix #291333 my ZTE MF622 Modem cannot connect anymore with networkmanager.
> It is now reconized as Onda MT505UP / MF632 music player (LP: #291333)
>
> when I delete this part in
> /usr/share/hal/fdi/information/10freedesktop/10-modem.fdi
>        <!-- ONDA MF632 HSDPA USB dongle -->
>        <match <email address hidden>:usb.vendor_id" int="0x19d2">
>        <match <email address hidden>:usb.product_id" int="0x0002">
>          <match <email address hidden>:usb.interface.number" int="2">
>            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
>            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
>          </match>
>        </match>
>
> My modem works again.
>
> lsusb output:
> Bus 001 Device 005: ID 19d2:0001
>

CafeNinja (cafeninja) wrote :

Henrique,
Thanks for your feedback. I did both suggestions.
1.) reboot with device already attached = previous results...fake cd device found.

2.) "ejected" from the options menu the cd it found. Still no change in network manager. output changed to:
dmesg:
[ 633.745288] ISOFS: changing to secondary root
[ 654.144107] usb 5-2: USB disconnect, address 3

lsusb:
lsusb |grep 19d2
Bus 005 Device 005: ID 19d2:0002 ONDA Communication S.p.A. ET502HS/MT505UP ZTE MF632

Still no mobile broadband option available from network manager.

perplexed.
--
CafeNinja

Anton Piatek (anton-piatek) wrote :

I just tried my ZTE modem form three.co.uk on karmic, and it does work with the network manager applet in kde. I did install a few dependencies, and run the installer.
The 3 dialling program didn't work, but connecting via network manager with a dialling number of "*99#" and nothing else set did let me get to their website.

I am not sure how many pre-reqs were really needed, and their kernel module failed to build, but I suspect the udev rule they supplied allowed the device to appear as a modem and not a cdrom
The udev rule in quesiton is:
#SUBSYSTEM!="usb_device", GOTO="phone_rules_end"
#ACTION!="add", GOTO="phone_rules_end"KERNEL=="sr*",SUBSYSTEMS=="scsi"
#ACTION!="remove", GOTO="phone_rules_end",KERNEL=="scd*",NAME="%k", ACTION=="add",
BUS=="usb",KERNEL=="sr[0-9]*", GROUP="cdrom",SYSFS{idVendor}=="19d2", SYSFS{idProduct}=="2000",SYMLINK+="MODEMCONNECTION",MODE="0666", RUN+=""
LABEL="phone_rules_end"

But as I am on a liveCD I did not reboot, so don't know if it actually was used or not

Hi all,
I use Ubuntu 9.10 (karmic) and it seems I have the same problem. I use three GSM 3G Dongle:

1. Onda MDC502HS
2. Onda MT503HS
3. Vodafone K3765-Z (ZTE)

When I plug one of them, they are recognized as a CD-ROM device. When ejecting the "CD-ROM", they switch to a GSM 3G modem. But:

- the second and the third ones, after a while, are shown in NetworkManager;
- the first one is NOT shown in NetworkManager (and this is my problem).

By the way, the first one (Onda MDC502HS), after having been switched to GSM modem, works correctly:

a. "lsusb | grep 19d2" outputs:
 Bus 003 Device 004: ID 19d2:0002 ONDA Communication S.p.A. ET502HS/MT505UP ZTE MF632

b. "ls /dev/ttyUSB* -al" outputs:
crw-rw---- 1 root dialout 188, 0 2009-12-15 14:57 /dev/ttyUSB0
crw-rw---- 1 root dialout 188, 1 2009-12-15 15:29 /dev/ttyUSB1
crw-rw---- 1 root dialout 188, 2 2009-12-15 14:57 /dev/ttyUSB2

c. I can use "wvdial" to connect to the Internet.

Furthermore, if I boot the computer with the Onda MDC502HS dongle plugged in, it results already switched ad GSM 3G modem and NetworkManager shows it!
Is this a NetworkManager bug?

berg (berg-foss) wrote :

affects Karmic too

Changed in linux (Ubuntu Jaunty):
status: Invalid → Confirmed
Alex Valavanis (valavanisalex) wrote :

I'm closing this report for Intrepid as it reached end-of-life on 30 April 2010.

Changed in hal-info (Ubuntu Intrepid):
status: Incomplete → Invalid
Przemek K. (azrael) wrote :

Can anyone check if this bug still appears in Ubuntu 10.10 beta? Running it from a livecd will be enough, you don't need to install it on your hard disk.
Ubuntu 10.10 uses udev and usb-modeswitch, while hal has been deprecated.

Sorry, I don't have Onda MT503HS and Vodafone K3765-Z (ZTE) anymore. Furthermore my Onda MDC502HS had an hardware failure. So I cannot perform any check!
--
Elvis Bortoletto

Chemtox (chemtox) wrote :

This seems fixed in 10.10.

I picked a MF662 a few months ago when I unsuccessfully tried to get a MF622 working on Lucid. But the reception on the MF662 is terrible compared to the MF622 (and the antenna connector is wired only for GSM), so today I decided to take another shot. I plugged the MF622 and booted up; it was recognized properly and KDE's network manager automatically established my already setup connection.

Unplugging and plugging back in also works, any times in any port:

Dec 23 21:54:49 server usb_modeswitch: switching 19d2:2000 (Qualcomm, Incorporated: USB ZTE Storage)
Dec 23 21:55:18 server kernel: [ 2985.540194] usb 6-1: USB disconnect, address 4
Dec 23 21:55:23 server kernel: [ 2990.821315] usb 6-1: new full speed USB device using uhci_hcd and address 5
Dec 23 21:55:23 server kernel: [ 2990.993420] option 6-1:1.0: GSM modem (1-port) converter detected

Though as you can see it takes around 30 secs for usb_modeswitch to do it's trick, and another 30 until it appears in the network manager, but this was the same with the MF662.

Curiously, lsusb reports the device as " ID 19d2:2000 ONDA Communication S.p.A. ZTE MF627/MF628/MF628+ HSDPA" before usb_modeswitch, and as "ID 19d2:0001 ONDA Communication S.p.A." after, but who cares, it works! ;)

This bug was nominated against a series that is no longer supported, ie jaunty. The bug task representing the jaunty nomination is being closed as Won't Fix.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu Jaunty):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers